| MAXREFDES82# Code Documentation V01.00 Maxim Smart Force Sensor

- Main Page
- Modules
- Files

- File List
- Globals

All Files Functions Variables Macros Groups Pages
Functions | Variables
usbd_conf.c File Reference
`#include "stm32f4xx_hal.h"`
`#include "usbd_core.h"`

Go to the source code of this file.

## Functions
void | HAL_PCD_MspInit (PCD_HandleTypeDef *hpcd)
| Initializes the PCD MSP.
void | HAL_PCD_MspDeInit (PCD_HandleTypeDef *hpcd)
| DeInitializes the PCD MSP.
void | HAL_PCD_SetupStageCallback (PCD_HandleTypeDef *hpcd)
| Setup stage callback.
void | HAL_PCD_DataOutStageCallback (PCD_HandleTypeDef *hpcd, uint8_t epnum)
| Data Out stage callback.
void | HAL_PCD_DataInStageCallback (PCD_HandleTypeDef *hpcd, uint8_t epnum)
| Data In stage callback.
void | HAL_PCD_SOFCallback (PCD_HandleTypeDef *hpcd)
| SOF callback.
void | HAL_PCD_ResetCallback (PCD_HandleTypeDef *hpcd)
| Reset callback.
void | HAL_PCD_SuspendCallback (PCD_HandleTypeDef *hpcd)
| Suspend callback.
void | HAL_PCD_ResumeCallback (PCD_HandleTypeDef *hpcd)
| Resume callback.
void | HAL_PCD_ISOOUTIncompleteCallback (PCD_HandleTypeDef *hpcd, uint8_t epnum)
| ISOC Out Incomplete callback.
void | HAL_PCD_ISOINIncompleteCallback (PCD_HandleTypeDef *hpcd, uint8_t epnum)
| ISOC In Incomplete callback.
void | HAL_PCD_ConnectCallback (PCD_HandleTypeDef *hpcd)
| Connect callback.
void | HAL_PCD_DisconnectCallback (PCD_HandleTypeDef *hpcd)
| Disconnect callback.
USBD_StatusTypeDef | USBD_LL_Init (USBD_HandleTypeDef *pdev)
| Initializes the Low Level portion of the Device driver.
USBD_StatusTypeDef | USBD_LL_DeInit (USBD_HandleTypeDef *pdev)
| De-Initializes the Low Level portion of the Device driver.
USBD_StatusTypeDef | USBD_LL_Start (USBD_HandleTypeDef *pdev)
| Starts the Low Level portion of the Device driver.
USBD_StatusTypeDef | USBD_LL_Stop (USBD_HandleTypeDef *pdev)
| Stops the Low Level portion of the Device driver.
USBD_StatusTypeDef | USBD_LL_OpenEP (USBD_HandleTypeDef *pdev, uint8_t ep_addr, uint8_t ep_type, uint16_t ep_mps)
| Opens an endpoint of the Low Level Driver.
USBD_StatusTypeDef | USBD_LL_CloseEP (USBD_HandleTypeDef *pdev, uint8_t ep_addr)
| Closes an endpoint of the Low Level Driver.
USBD_StatusTypeDef | USBD_LL_FlushEP (USBD_HandleTypeDef *pdev, uint8_t ep_addr)
| Flushes an endpoint of the Low Level Driver.
USBD_StatusTypeDef | USBD_LL_StallEP (USBD_HandleTypeDef *pdev, uint8_t ep_addr)
| Sets a Stall condition on an endpoint of the Low Level Driver.
USBD_StatusTypeDef | USBD_LL_ClearStallEP (USBD_HandleTypeDef *pdev, uint8_t ep_addr)
| Clears a Stall condition on an endpoint of the Low Level Driver.
uint8_t | USBD_LL_IsStallEP (USBD_HandleTypeDef *pdev, uint8_t ep_addr)
| Returns Stall condition.
USBD_StatusTypeDef | USBD_LL_SetUSBAddress (USBD_HandleTypeDef *pdev, uint8_t dev_addr)
| Assigns an USB address to the device.
USBD_StatusTypeDef | USBD_LL_Transmit (USBD_HandleTypeDef *pdev, uint8_t ep_addr, uint8_t *pbuf, uint16_t size)
| Transmits data over an endpoint.
USBD_StatusTypeDef | USBD_LL_PrepareReceive (USBD_HandleTypeDef *pdev, uint8_t ep_addr, uint8_t *pbuf, uint16_t size)
| Prepares an endpoint for reception.
uint32_t | USBD_LL_GetRxDataSize (USBD_HandleTypeDef *pdev, uint8_t ep_addr)
| Returns the last transfered packet size.
void | USBD_LL_Delay (uint32_t Delay)
| Delay routine for the USB Device Library.

## Variables
PCD_HandleTypeDef | hpcd

## Function Documentation

void HAL_PCD_ConnectCallback | ( | PCD_HandleTypeDef * | hpcd | ) |

Connect callback.

Parameters

  hpcd,: | PCD handle

Return values

  None |

Definition at line 325 of file usbd_conf.c.

void HAL_PCD_DataInStageCallback | ( | PCD_HandleTypeDef * | hpcd,
|  | uint8_t | epnum
| ) |  |

Data In stage callback.

Parameters

  hpcd,: | PCD handle
  epnum,: | Endpoint Number

Return values

  None |

Definition at line 233 of file usbd_conf.c.

void HAL_PCD_DataOutStageCallback | ( | PCD_HandleTypeDef * | hpcd,
|  | uint8_t | epnum
| ) |  |

Data Out stage callback.

Parameters

  hpcd,: | PCD handle
  epnum,: | Endpoint Number

Return values

  None |

Definition at line 222 of file usbd_conf.c.

void HAL_PCD_DisconnectCallback | ( | PCD_HandleTypeDef * | hpcd | ) |

Disconnect callback.

Parameters

  hpcd,: | PCD handle

Return values

  None |

Definition at line 335 of file usbd_conf.c.

void HAL_PCD_ISOINIncompleteCallback | ( | PCD_HandleTypeDef * | hpcd,
|  | uint8_t | epnum
| ) |  |

ISOC In Incomplete callback.

Parameters

  hpcd,: | PCD handle
  epnum,: | Endpoint Number

Return values

  None |

Definition at line 315 of file usbd_conf.c.

void HAL_PCD_ISOOUTIncompleteCallback | ( | PCD_HandleTypeDef * | hpcd,
|  | uint8_t | epnum
| ) |  |

ISOC Out Incomplete callback.

Parameters

  hpcd,: | PCD handle
  epnum,: | Endpoint Number

Return values

  None |

Definition at line 304 of file usbd_conf.c.

void HAL_PCD_MspDeInit | ( | PCD_HandleTypeDef * | hpcd | ) |

DeInitializes the PCD MSP.

Parameters

  hpcd,: | PCD handle

Return values

  None |

Definition at line 185 of file usbd_conf.c.

void HAL_PCD_MspInit | ( | PCD_HandleTypeDef * | hpcd | ) |

Initializes the PCD MSP.

Parameters

  hpcd,: | PCD handle

Return values

  None |

Definition at line 49 of file usbd_conf.c.

void HAL_PCD_ResetCallback | ( | PCD_HandleTypeDef * | hpcd | ) |

Reset callback.

Parameters

  hpcd,: | PCD handle

Return values

  None |

Definition at line 253 of file usbd_conf.c.

void HAL_PCD_ResumeCallback | ( | PCD_HandleTypeDef * | hpcd | ) |

Resume callback.

Parameters

  hpcd,: | PCD handle

Return values

  None |

Definition at line 293 of file usbd_conf.c.

void HAL_PCD_SetupStageCallback | ( | PCD_HandleTypeDef * | hpcd | ) |

Setup stage callback.

Parameters

  hpcd,: | PCD handle

Return values

  None |

Definition at line 211 of file usbd_conf.c.

void HAL_PCD_SOFCallback | ( | PCD_HandleTypeDef * | hpcd | ) |

SOF callback.

Parameters

  hpcd,: | PCD handle

Return values

  None |

Definition at line 243 of file usbd_conf.c.

void HAL_PCD_SuspendCallback | ( | PCD_HandleTypeDef * | hpcd | ) |

Suspend callback.

Parameters

  hpcd,: | PCD handle

Return values

  None |

Definition at line 283 of file usbd_conf.c.

USBD_StatusTypeDef USBD_LL_ClearStallEP | ( | USBD_HandleTypeDef * | pdev,
|  | uint8_t | ep_addr
| ) |  |

Clears a Stall condition on an endpoint of the Low Level Driver.

Parameters

  pdev,: | Device handle
  ep_addr,: | Endpoint Number

Return values

  USBD | Status

Definition at line 509 of file usbd_conf.c.

USBD_StatusTypeDef USBD_LL_CloseEP | ( | USBD_HandleTypeDef * | pdev,
|  | uint8_t | ep_addr
| ) |  |

Closes an endpoint of the Low Level Driver.

Parameters

  pdev,: | Device handle
  ep_addr,: | Endpoint Number

Return values

  USBD | Status

Definition at line 473 of file usbd_conf.c.

USBD_StatusTypeDef USBD_LL_DeInit | ( | USBD_HandleTypeDef * | pdev | ) |

De-Initializes the Low Level portion of the Device driver.

Parameters

  pdev,: | Device handle

Return values

  USBD | Status

Definition at line 422 of file usbd_conf.c.

void USBD_LL_Delay | ( | uint32_t | Delay | ) |

Delay routine for the USB Device Library.

Parameters

  Delay,: | Delay in ms

Return values

  None |

Definition at line 596 of file usbd_conf.c.

USBD_StatusTypeDef USBD_LL_FlushEP | ( | USBD_HandleTypeDef * | pdev,
|  | uint8_t | ep_addr
| ) |  |

Flushes an endpoint of the Low Level Driver.

Parameters

  pdev,: | Device handle
  ep_addr,: | Endpoint Number

Return values

  USBD | Status

Definition at line 485 of file usbd_conf.c.

uint32_t USBD_LL_GetRxDataSize | ( | USBD_HandleTypeDef * | pdev,
|  | uint8_t | ep_addr
| ) |  |

Returns the last transfered packet size.

Parameters

  pdev,: | Device handle
  ep_addr,: | Endpoint Number

Return values

  Recived | Data Size

Definition at line 586 of file usbd_conf.c.

USBD_StatusTypeDef USBD_LL_Init | ( | USBD_HandleTypeDef * | pdev | ) |

Initializes the Low Level portion of the Device driver.

Parameters

  pdev,: | Device handle

Return values

  USBD | Status

Definition at line 348 of file usbd_conf.c.

uint8_t USBD_LL_IsStallEP | ( | USBD_HandleTypeDef * | pdev,
|  | uint8_t | ep_addr
| ) |  |

Returns Stall condition.

Parameters

  pdev,: | Device handle
  ep_addr,: | Endpoint Number

Return values

  Stall | (1: yes, 0: No)

Definition at line 521 of file usbd_conf.c.

USBD_StatusTypeDef USBD_LL_OpenEP | ( | USBD_HandleTypeDef * | pdev,
|  | uint8_t | ep_addr,
|  | uint8_t | ep_type,
|  | uint16_t | ep_mps
| ) |  |

Opens an endpoint of the Low Level Driver.

Parameters

  pdev,: | Device handle
  ep_addr,: | Endpoint Number
  ep_type,: | Endpoint Type
  ep_mps,: | Endpoint Max Packet Size

Return values

  USBD | Status

Definition at line 458 of file usbd_conf.c.

USBD_StatusTypeDef USBD_LL_PrepareReceive | ( | USBD_HandleTypeDef * | pdev,
|  | uint8_t | ep_addr,
|  | uint8_t * | pbuf,
|  | uint16_t | size
| ) |  |

Prepares an endpoint for reception.

Parameters

  pdev,: | Device handle
  ep_addr,: | Endpoint Number
  pbuf:pointer | to data to be received
  size,: | data size

Return values

  USBD | Status

Definition at line 572 of file usbd_conf.c.

USBD_StatusTypeDef USBD_LL_SetUSBAddress | ( | USBD_HandleTypeDef * | pdev,
|  | uint8_t | dev_addr
| ) |  |

Assigns an USB address to the device.

Parameters

  pdev,: | Device handle
  dev_addr,: | USB address

Return values

  USBD | Status

Definition at line 541 of file usbd_conf.c.

USBD_StatusTypeDef USBD_LL_StallEP | ( | USBD_HandleTypeDef * | pdev,
|  | uint8_t | ep_addr
| ) |  |

Sets a Stall condition on an endpoint of the Low Level Driver.

Parameters

  pdev,: | Device handle
  ep_addr,: | Endpoint Number

Return values

  USBD | Status

Definition at line 497 of file usbd_conf.c.

USBD_StatusTypeDef USBD_LL_Start | ( | USBD_HandleTypeDef * | pdev | ) |

Starts the Low Level portion of the Device driver.

Parameters

  pdev,: | Device handle

Return values

  USBD | Status

Definition at line 433 of file usbd_conf.c.

USBD_StatusTypeDef USBD_LL_Stop | ( | USBD_HandleTypeDef * | pdev | ) |

Stops the Low Level portion of the Device driver.

Parameters

  pdev,: | Device handle

Return values

  USBD | Status

Definition at line 444 of file usbd_conf.c.

USBD_StatusTypeDef USBD_LL_Transmit | ( | USBD_HandleTypeDef * | pdev,
|  | uint8_t | ep_addr,
|  | uint8_t * | pbuf,
|  | uint16_t | size
| ) |  |

Transmits data over an endpoint.

Parameters

  pdev,: | Device handle
  ep_addr,: | Endpoint Number
  pbuf,: | Pointer to data to be sent
  size,: | Data size

Return values

  USBD | Status

Definition at line 555 of file usbd_conf.c.

## Variable Documentation

PCD_HandleTypeDef hpcd

Definition at line 36 of file usbd_conf.c.